package devmgr.api.rpc.protocol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(20)
public class RPCReplyMsg implements Serializable {
	public RPCReplyMsg() {
	}

	@io.swagger.annotations.ApiModelProperty(value ="" , required = true)
	@XmlElement(required = true)
	private RPCReplyStatus status = RPCReplyStatus.__UNDEFINED;

	public RPCReplyStatus getStatus() {
		return this.status;
	}
	public void setStatus(RPCReplyStatus x) {
		this.status = x;
	}

	@io.swagger.annotations.ApiModelProperty(value ="" , required = false)
	@XmlElement(required = false)
	private RPCAcceptedReply acceptedReply;

	public RPCAcceptedReply getAcceptedReply() {
		return this.acceptedReply;
	}
	public void setAcceptedReply(RPCAcceptedReply x) {
		this.acceptedReply = x;
	}

	@io.swagger.annotations.ApiModelProperty(value ="" , required = false)
	@XmlElement(required = false)
	private RPCRejectedReply rejectedReply;

	public RPCRejectedReply getRejectedReply() {
		return this.rejectedReply;
	}
	public void setRejectedReply(RPCRejectedReply x) {
		this.rejectedReply = x;
	}
}
