package devmgr.api.runtime;

public class ArraySpec
extends TypeSpec
{
    public TypeSpec elementType;
    public int maxLength;
    public boolean isVariable;
    public Class<?> elementClass;
    
    public
    ArraySpec(TypeSpec elementType, int maxLength, boolean isVariable, 
              Class<?> eltClass)
    {
        super(TypeSpec.TypeCode.ARRAY);
        this.elementType = elementType;
        this.maxLength = maxLength;
        this.isVariable = isVariable;
        this.elementClass = eltClass;
    }
}