package devmgr.api.runtime;

import java.io.IOException;
import java.io.StringWriter;

public class JsonStringEncoder
extends JsonEncoder
{
    StringWriter m_Writer;
    
    public
    JsonStringEncoder()
    throws IOException
    {
        super(new StringWriter());
        m_Writer = (StringWriter) super.getWriter();
    }
    
    public String 
    getString()
    throws IOException
    {
        return m_Writer.toString();
    }
}
