package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This enumeration is used to control the alarm. */
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(190)
public enum AlarmControl implements Serializable {
		/** Enable the alarm. */
		enable(1),
		/** Disable the alarm. */
		disable(2),
		/** Mute the alarm. */
		mute(3),
		/** Refresh the alarm settings from NVSRAM. */
		refresh(4),
		__UNDEFINED(464378545);

		public final int value;

		private AlarmControl(int v) {
			this.value = v;
		}
}
