package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure is used to request suspension of Async Mirror Group (AMG) synchronization. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(766)
public class AsyncMirrorGroupSuspendDescriptor implements Serializable {
	public AsyncMirrorGroupSuspendDescriptor() {
	}

	/** The AMG on which synchronization is to be suspended. */
	@io.swagger.annotations.ApiModelProperty(value ="The AMG on which synchronization is to be suspended." , required = true)
	@XmlElement(required = true)
	private String groupRef;

	/** @return The AMG on which synchronization is to be suspended. */
	public String getGroupRef() {
		return this.groupRef;
	}
	/** @param x The AMG on which synchronization is to be suspended. */
	public void setGroupRef(String x) {
		this.groupRef = x;
	}
}
