package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure is used to describe a failed drive channel condition. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(375)
public class ChannelFailedFailure implements Serializable {
	public ChannelFailedFailure() {
	}

	/** The failed channels. */
	@io.swagger.annotations.ApiModelProperty(value ="The failed channels." , required = true)
	@XmlElement(required = true)
	private int[] failedChannels;

	/** @return The failed channels. */
	public int[] getFailedChannels() {
		return this.failedChannels;
	}
	/** @param x The failed channels. */
	public void setFailedChannels(int[] x) {
		this.failedChannels = x;
	}
}
