package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** Specifies the data required for to start the Dom0 journal retrieval. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(378)
public class Dom0SupportDataJournalStartDetails implements Serializable {
	public Dom0SupportDataJournalStartDetails() {
	}

	/** Describes the time to start collecting the journal logs based on seconds since 1/1/1970. */
	@io.swagger.annotations.ApiModelProperty(value ="Describes the time to start collecting the journal logs based on seconds since 1/1/1970." , required = true)
	@XmlElement(required = true)
	private long startTime;

	/** @return Describes the time to start collecting the journal logs based on seconds since 1/1/1970. */
	public long getStartTime() {
		return this.startTime;
	}
	/** @param x Describes the time to start collecting the journal logs based on seconds since 1/1/1970. */
	public void setStartTime(long x) {
		this.startTime = x;
	}

	/** Describes the time to stop collecting the journal logs based on seconds since 1/1/1970. */
	@io.swagger.annotations.ApiModelProperty(value ="Describes the time to stop collecting the journal logs based on seconds since 1/1/1970." , required = true)
	@XmlElement(required = true)
	private long stopTime;

	/** @return Describes the time to stop collecting the journal logs based on seconds since 1/1/1970. */
	public long getStopTime() {
		return this.stopTime;
	}
	/** @param x Describes the time to stop collecting the journal logs based on seconds since 1/1/1970. */
	public void setStopTime(long x) {
		this.stopTime = x;
	}
}
