package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This enumeration object is used to specify the status of the drawer. */
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(259)
public enum DrawerStatus implements Serializable {
		/** The drawer status is unknown. */
		unknown(0),
		/** The drawer status is optimal. */
		optimal(1),
		/** The drawer has failed. */
		failed(2),
		/** The drawer has been opened. */
		opened(3),
		/** The drawer has been removed. */
		removed(4),
		/** The drawer is degraded. */
		degraded(5),
		/** The drawer status is invalid. The drawer is not supported. */
		invalid(6),
		__UNDEFINED(464378545);

		public final int value;

		private DrawerStatus(int v) {
			this.value = v;
		}
}
