package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure specifies the raw data returned by the controller in response to FDI/DEMS Log retrieval requests. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(355)
public class FdiDemsLogRetrieveChunkDetails implements Serializable {
	public FdiDemsLogRetrieveChunkDetails() {
	}

	/** An array of opaque data will be returned. */
	@io.swagger.annotations.ApiModelProperty(value ="An array of opaque data will be returned." , required = true)
	@XmlElement(required = true)
	private String fdiDemsLogData;

	/** @return An array of opaque data will be returned. */
	public String getFdiDemsLogData() {
		return this.fdiDemsLogData;
	}
	/** @param x An array of opaque data will be returned. */
	public void setFdiDemsLogData(String x) {
		this.fdiDemsLogData = x;
	}
}
