package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This union is used to return data collected for flash cache analytics. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(540)
public class FlashCacheAnalyticsReturned implements Serializable {
	public FlashCacheAnalyticsReturned() {
	}

	/** An enumeration used to determine the return status of a SYMbol function call. */
	@io.swagger.annotations.ApiModelProperty(value ="An enumeration used to determine the return status of a SYMbol function call." , required = true)
	@XmlElement(required = true)
	private ReturnCode returnCode = ReturnCode.__UNDEFINED;

	/** @return An enumeration used to determine the return status of a SYMbol function call. */
	public ReturnCode getReturnCode() {
		return this.returnCode;
	}
	/** @param x An enumeration used to determine the return status of a SYMbol function call. */
	public void setReturnCode(ReturnCode x) {
		this.returnCode = x;
	}

	/** Analytics data is returned here only if the ReturnCode equals RETCODE_OK. */
	@io.swagger.annotations.ApiModelProperty(value ="Analytics data is returned here only if the ReturnCode equals RETCODE_OK." , required = false)
	@XmlElement(required = false)
	private FlashCacheAnalyticsData analyticsData;

	/** @return Analytics data is returned here only if the ReturnCode equals RETCODE_OK. */
	public FlashCacheAnalyticsData getAnalyticsData() {
		return this.analyticsData;
	}
	/** @param x Analytics data is returned here only if the ReturnCode equals RETCODE_OK. */
	public void setAnalyticsData(FlashCacheAnalyticsData x) {
		this.analyticsData = x;
	}
}
