package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This enumeration identifies the functions that can be turned off and on via the setFunctionState procedure. */
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(219)
public enum FunctionID implements Serializable {
		/** No function is specified. */
		unknown(0),
		/** Turn VAAI on/off. */
		vaai(1),
		/** Turn ODX on/off. */
		odx(2),
		__UNDEFINED(464378545);

		public final int value;

		private FunctionID(int v) {
			this.value = v;
		}
}
