package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure contains settings for changeable properties of a remote target object. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(991)
public class InitiatorTargetInitialProperties implements Serializable {
	public InitiatorTargetInitialProperties() {
	}

	/** Node name for the target. */
	@io.swagger.annotations.ApiModelProperty(value ="Node name for the target." , required = true)
	@XmlElement(required = true)
	private ScsiNodeName[] nodeName;

	/** @return Node name for the target. */
	public ScsiNodeName[] getNodeName() {
		return this.nodeName;
	}
	/** @param x Node name for the target. */
	public void setNodeName(ScsiNodeName[] x) {
		this.nodeName = x;
	}

	/** Name that can be assigned to a local initiator. Not used for FC initiator. */
	@io.swagger.annotations.ApiModelProperty(value ="Name that can be assigned to a local initiator. Not used for FC initiator." , required = true)
	@XmlElement(required = true)
	private ScsiInitiatorTargetBaseProperties SCSIInitiatorTargetBaseProperties;

	/** @return Name that can be assigned to a local initiator. Not used for FC initiator. */
	public ScsiInitiatorTargetBaseProperties getSCSIInitiatorTargetBaseProperties() {
		return this.SCSIInitiatorTargetBaseProperties;
	}
	/** @param x Name that can be assigned to a local initiator. Not used for FC initiator. */
	public void setSCSIInitiatorTargetBaseProperties(ScsiInitiatorTargetBaseProperties x) {
		this.SCSIInitiatorTargetBaseProperties = x;
	}
}
