package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure is used to hold an IPV6 address along with the state of the address. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(573)
public class IpV6AddressData implements Serializable {
	public IpV6AddressData() {
	}

	/** The IPV6 address. */
	@io.swagger.annotations.ApiModelProperty(value ="The IPV6 address." , required = true)
	@XmlElement(required = true)
	private String address;

	/** @return The IPV6 address. */
	public String getAddress() {
		return this.address;
	}
	/** @param x The IPV6 address. */
	public void setAddress(String x) {
		this.address = x;
	}

	/** The state of the IPV6 address. */
	@io.swagger.annotations.ApiModelProperty(value ="The state of the IPV6 address." , required = true)
	@XmlElement(required = true)
	private IpV6AddressState addressState;

	/** @return The state of the IPV6 address. */
	public IpV6AddressState getAddressState() {
		return this.addressState;
	}
	/** @param x The state of the IPV6 address. */
	public void setAddressState(IpV6AddressState x) {
		this.addressState = x;
	}
}
