package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** Enumeration used to define the different type of object that can be associated with a key value tag. */
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(197)
public enum KeyValueTagObjectReferenceType implements Serializable {
		/** The reference type is unknown. */
		unknown(0),
		/** The reference corresponds to a Volume. */
		volume(1),
		/** The reference corresponds to a Workload. */
		workload(2),
		__UNDEFINED(464378545);

		public final int value;

		private KeyValueTagObjectReferenceType(int v) {
			this.value = v;
		}
}
