package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This enumeration identifies the different types of object references. */
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(142)
public enum ObjectReferenceType implements Serializable {
		/** The object reference is a generic SYMbol reference. */
		generic(0),
		/** The object reference is a controller reference. */
		controller(1),
		/** The reference is a a generic reference that includes type information. */
		genericTyped(2),
		__UNDEFINED(464378545);

		public final int value;

		private ObjectReferenceType(int v) {
			this.value = v;
		}
}
