package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure is a variable-length array of PITGroupRepositoryUtilization objects. It is used to convey information about multiple such objects. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(1032)
public class PITGroupRepositoryUtilizationList implements Serializable {
	public PITGroupRepositoryUtilizationList() {
	}

	/** A variable-length array of PITGroupRepositoryUtilization objects. */
	@io.swagger.annotations.ApiModelProperty(value ="A variable-length array of PITGroupRepositoryUtilization objects." , required = true)
	@XmlElement(required = true)
	private PITGroupRepositoryUtilization[] repositoryUtilization;

	/** @return A variable-length array of PITGroupRepositoryUtilization objects. */
	public PITGroupRepositoryUtilization[] getRepositoryUtilization() {
		return this.repositoryUtilization;
	}
	/** @param x A variable-length array of PITGroupRepositoryUtilization objects. */
	public void setRepositoryUtilization(PITGroupRepositoryUtilization[] x) {
		this.repositoryUtilization = x;
	}
}
