package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This enumeration is used to control the Ready to Remove indicators (LEDs). */
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(163)
public enum RTRControl implements Serializable {
		/** Turn on the component's Ready to Remove indicator, if no dependency exists. */
		enable(1),
		/** Turn off the component's Ready to Remove indicator. */
		disable(2),
		/** Put the component's Ready to Remove indicator in automatic mode. */
		refresh(3),
		__UNDEFINED(464378545);

		public final int value;

		private RTRControl(int v) {
			this.value = v;
		}
}
