package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure contains a list of ScheduleUpdateDescriptors. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(1006)
public class ScheduleUpdateDescriptorList implements Serializable {
	public ScheduleUpdateDescriptorList() {
	}

	/** Contains the schedule update descriptor object. */
	@io.swagger.annotations.ApiModelProperty(value ="Contains the schedule update descriptor object." , required = true)
	@XmlElement(required = true)
	private ScheduleUpdateDescriptor[] scheduleUpdateDescriptor;

	/** @return Contains the schedule update descriptor object. */
	public ScheduleUpdateDescriptor[] getScheduleUpdateDescriptor() {
		return this.scheduleUpdateDescriptor;
	}
	/** @param x Contains the schedule update descriptor object. */
	public void setScheduleUpdateDescriptor(ScheduleUpdateDescriptor[] x) {
		this.scheduleUpdateDescriptor = x;
	}
}
