package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This union is returned when reinitializing a thin volume. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(1169)
public class ThinVolumeReinitializeParams implements Serializable {
	public ThinVolumeReinitializeParams() {
	}

	/** This enumeration defines the actions to take on a thin volume re-initialize request. */
	@io.swagger.annotations.ApiModelProperty(value ="This enumeration defines the actions to take on a thin volume re-initialize request." , required = true)
	@XmlElement(required = true)
	private ThinVolumeReinitializeAction initAction = ThinVolumeReinitializeAction.__UNDEFINED;

	/** @return This enumeration defines the actions to take on a thin volume re-initialize request. */
	public ThinVolumeReinitializeAction getInitAction() {
		return this.initAction;
	}
	/** @param x This enumeration defines the actions to take on a thin volume re-initialize request. */
	public void setInitAction(ThinVolumeReinitializeAction x) {
		this.initAction = x;
	}

	/** This field is present only if the value of initAction is equal to THIN_VOL_REINIT_AND_RESIZE. */
	@io.swagger.annotations.ApiModelProperty(value ="This field is present only if the value of initAction is equal to THIN_VOL_REINIT_AND_RESIZE." , required = false)
	@XmlElement(required = false)
	private long newProvisionedCapacity;

	/** @return This field is present only if the value of initAction is equal to THIN_VOL_REINIT_AND_RESIZE. */
	public long getNewProvisionedCapacity() {
		return this.newProvisionedCapacity;
	}
	/** @param x This field is present only if the value of initAction is equal to THIN_VOL_REINIT_AND_RESIZE. */
	public void setNewProvisionedCapacity(long x) {
		this.newProvisionedCapacity = x;
	}

	/** This field is present only if the value of initAction is equal to THIN_VOL_REINIT_NEW_REPOSITORY. */
	@io.swagger.annotations.ApiModelProperty(value ="This field is present only if the value of initAction is equal to THIN_VOL_REINIT_NEW_REPOSITORY." , required = false)
	@XmlElement(required = false)
	private ConcatVolumeCreationDescriptor newRepositoryCandidate;

	/** @return This field is present only if the value of initAction is equal to THIN_VOL_REINIT_NEW_REPOSITORY. */
	public ConcatVolumeCreationDescriptor getNewRepositoryCandidate() {
		return this.newRepositoryCandidate;
	}
	/** @param x This field is present only if the value of initAction is equal to THIN_VOL_REINIT_NEW_REPOSITORY. */
	public void setNewRepositoryCandidate(ConcatVolumeCreationDescriptor x) {
		this.newRepositoryCandidate = x;
	}
}
