package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** Version information for specified code module */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(493)
public class VersionDescriptor implements Serializable {
	public VersionDescriptor() {
	}

	/** The code module described */
	@io.swagger.annotations.ApiModelProperty(value ="The code module described" , required = true)
	@XmlElement(required = true)
	private CodeModule codeModule = CodeModule.__UNDEFINED;

	/** @return The code module described */
	public CodeModule getCodeModule() {
		return this.codeModule;
	}
	/** @param x The code module described */
	public void setCodeModule(CodeModule x) {
		this.codeModule = x;
	}

	/** Textual representation of version */
	@io.swagger.annotations.ApiModelProperty(value ="Textual representation of version" , required = true)
	@XmlElement(required = true)
	private String versionString;

	/** @return Textual representation of version */
	public String getVersionString() {
		return this.versionString;
	}
	/** @param x Textual representation of version */
	public void setVersionString(String x) {
		this.versionString = x;
	}
}
