package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure is the input argument to the setVolumeGroupUserLabel procedure. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(634)
public class VolumeGroupLabelUpdateDescriptor implements Serializable {
	public VolumeGroupLabelUpdateDescriptor() {
	}

	/** A reference to the volume group that is to have its user label updated. */
	@io.swagger.annotations.ApiModelProperty(value ="A reference to the volume group that is to have its user label updated." , required = true)
	@XmlElement(required = true)
	private String volumeGroupRef;

	/** @return A reference to the volume group that is to have its user label updated. */
	public String getVolumeGroupRef() {
		return this.volumeGroupRef;
	}
	/** @param x A reference to the volume group that is to have its user label updated. */
	public void setVolumeGroupRef(String x) {
		this.volumeGroupRef = x;
	}

	/** The value of the user label to set on the volume group. */
	@io.swagger.annotations.ApiModelProperty(value ="The value of the user label to set on the volume group." , required = true)
	@XmlElement(required = true)
	private String label;

	/** @return The value of the user label to set on the volume group. */
	public String getLabel() {
		return this.label;
	}
	/** @param x The value of the user label to set on the volume group. */
	public void setLabel(String x) {
		this.label = x;
	}
}
