package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** A list of the Workload descriptors used as an input to the createWorkload procedure. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(613)
public class WorkloadCreationDescriptorList implements Serializable {
	public WorkloadCreationDescriptorList() {
	}

	/** Contains the AppAwareWorkload descriptor objects. */
	@io.swagger.annotations.ApiModelProperty(value ="Contains the AppAwareWorkload descriptor objects." , required = true)
	@XmlElement(required = true)
	private WorkloadCreationDescriptor[] descriptor;

	/** @return Contains the AppAwareWorkload descriptor objects. */
	public WorkloadCreationDescriptor[] getDescriptor() {
		return this.descriptor;
	}
	/** @param x Contains the AppAwareWorkload descriptor objects. */
	public void setDescriptor(WorkloadCreationDescriptor[] x) {
		this.descriptor = x;
	}
}
