package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure identifies a specific workload to volume mapping that is to be deleted. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(708)
public class WorkloadVolumeDeleteMappingDescriptor implements Serializable {
	public WorkloadVolumeDeleteMappingDescriptor() {
	}

	/** The unique identifier for the mapping to be deleted. */
	@io.swagger.annotations.ApiModelProperty(value ="The unique identifier for the mapping to be deleted." , required = true)
	@XmlElement(required = true)
	private String mappingRef;

	/** @return The unique identifier for the mapping to be deleted. */
	public String getMappingRef() {
		return this.mappingRef;
	}
	/** @param x The unique identifier for the mapping to be deleted. */
	public void setMappingRef(String x) {
		this.mappingRef = x;
	}
}
