package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure defines a Workload to Volume mapping. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(729)
public class WorkloadVolumeMapping implements Serializable {
	public WorkloadVolumeMapping() {
	}

	/** This field is the unique identifier for the mapping between the workload and the volume. */
	@io.swagger.annotations.ApiModelProperty(value ="This field is the unique identifier for the mapping between the workload and the volume." , required = true)
	@XmlElement(required = true)
	private String mappingRef;

	/** @return This field is the unique identifier for the mapping between the workload and the volume. */
	public String getMappingRef() {
		return this.mappingRef;
	}
	/** @param x This field is the unique identifier for the mapping between the workload and the volume. */
	public void setMappingRef(String x) {
		this.mappingRef = x;
	}

	/** This field is the unique identifier for the Workload. */
	@io.swagger.annotations.ApiModelProperty(value ="This field is the unique identifier for the Workload." , required = true)
	@XmlElement(required = true)
	private String workloadRef;

	/** @return This field is the unique identifier for the Workload. */
	public String getWorkloadRef() {
		return this.workloadRef;
	}
	/** @param x This field is the unique identifier for the Workload. */
	public void setWorkloadRef(String x) {
		this.workloadRef = x;
	}

	/** This field is the unique identifier for the volume. */
	@io.swagger.annotations.ApiModelProperty(value ="This field is the unique identifier for the volume." , required = true)
	@XmlElement(required = true)
	private String volumeRef;

	/** @return This field is the unique identifier for the volume. */
	public String getVolumeRef() {
		return this.volumeRef;
	}
	/** @param x This field is the unique identifier for the volume. */
	public void setVolumeRef(String x) {
		this.volumeRef = x;
	}
}
