/*
 * Copyright (c) $today.year.Netapp.  All rights reserved
 */

package devmgr.api.rpc;

import java.net.InetAddress;

/**
 * Represents a connection to a controller.  Not really much different than the abstract RPC client, but
 * makes the assumption that we can get a controller referennce
 * Created by masonb on 8/11/14.
 */
public interface AbstractRPCControllerClient extends AbstractRPCClient{
    void setTimeout(int timeOutInSeconds);

    String getControllerRef();

    void setAuthGenerator(RPCAuthGenerator authGenerator);

    InetAddress getLocalAddress();

    int getTimeout();
}
