package devmgr.api.rpc.protocol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(15)
public class RPCAcceptedReplyBody implements Serializable {
	public RPCAcceptedReplyBody() {
	}

	@io.swagger.annotations.ApiModelProperty(value ="" , required = true)
	@XmlElement(required = true)
	private RPCAcceptedStatus status = RPCAcceptedStatus.__UNDEFINED;

	public RPCAcceptedStatus getStatus() {
		return this.status;
	}
	public void setStatus(RPCAcceptedStatus x) {
		this.status = x;
	}

	@io.swagger.annotations.ApiModelProperty(value ="" , required = false)
	@XmlElement(required = false)
	private RPCVersionRange versions;

	public RPCVersionRange getVersions() {
		return this.versions;
	}
	public void setVersions(RPCVersionRange x) {
		this.versions = x;
	}
}
