package devmgr.api.rpc.protocol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(13)
public enum RPCAcceptedStatus implements Serializable {
		SUCCESS(0),
		PROG_UNAVAIL(1),
		PROG_MISMATCH(2),
		PROC_UNAVAIL(3),
		GARBAGE_ARGS(4),
		SYSTEM_ERR(5),
		__UNDEFINED(464378545);

		public final int value;

		private RPCAcceptedStatus(int v) {
			this.value = v;
		}
}
