package devmgr.api.runtime;

public class OpaqueSpec
extends TypeSpec
{
    public enum DataType
    {
        BINARY,
        DBCS,
        SBCS,
        IPV4ADDR
    }
    
    public int maxLength;
    public boolean isVariable;
    public DataType dataType;
    
    public
    OpaqueSpec(int maxLength, boolean isVariable)
    {
        this(maxLength, isVariable, DataType.BINARY);
    }
    
    public
    OpaqueSpec(int maxLength, boolean isVariable, DataType type)
    {
        super(TypeSpec.TypeCode.OPAQUE);
        this.maxLength = (maxLength != 0) ? maxLength : Integer.MAX_VALUE;
        this.isVariable = isVariable;
        this.dataType = type;
    }
}