package devmgr.api.runtime;

/**
 * This class tracks typedef'ed data types.  Such types are references
 * to an array of, or pointer to, some other data type.
 */
public class TypedefSpec
extends TypeSpec
{
    public Class<?> cls;
    public TypeSpec typeSpec;
    
    /**
     * Constructor.
     * @param cls Class of this type.
     * @param typeSpec Referenced type.
     */
    public TypedefSpec(TypeSpec typeSpec, Class<?> cls) 
    {
        super(TypeCode.TYPEDEF);
        
        this.cls = cls;
        this.typeSpec = typeSpec;
    }
}