package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure contains a list of SYMbol AsyncMirrorGroup references. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(637)
public class AsyncMirrorGroupRefList implements Serializable {
	public AsyncMirrorGroupRefList() {
	}

	/** An array of AsyncMirrorGroup references. */
	@io.swagger.annotations.ApiModelProperty(value ="An array of AsyncMirrorGroup references." , required = true)
	@XmlElement(required = true)
	private String[] groupRef;

	/** @return An array of AsyncMirrorGroup references. */
	public String[] getGroupRef() {
		return this.groupRef;
	}
	/** @param x An array of AsyncMirrorGroup references. */
	public void setGroupRef(String[] x) {
		this.groupRef = x;
	}
}
