package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** The following fields are defined for this structure: */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(750)
public class BundledFeature implements Serializable {
	public BundledFeature() {
	}

	/** This field indicate what feature this instance of BundledFeature represents. */
	@io.swagger.annotations.ApiModelProperty(value ="This field indicate what feature this instance of BundledFeature represents." , required = true)
	@XmlElement(required = true)
	private FeatureId featureId = FeatureId.__UNDEFINED;

	/** @return This field indicate what feature this instance of BundledFeature represents. */
	public FeatureId getFeatureId() {
		return this.featureId;
	}
	/** @param x This field indicate what feature this instance of BundledFeature represents. */
	public void setFeatureId(FeatureId x) {
		this.featureId = x;
	}

	/** This field is a variable-length array of FeatureAttribute instances representing the attributes that apply for this particular feature. */
	@io.swagger.annotations.ApiModelProperty(value ="This field is a variable-length array of FeatureAttribute instances representing the attributes that apply for this particular feature." , required = true)
	@XmlElement(required = true)
	private FeatureAttribute[] featureAttribute;

	/** @return This field is a variable-length array of FeatureAttribute instances representing the attributes that apply for this particular feature. */
	public FeatureAttribute[] getFeatureAttribute() {
		return this.featureAttribute;
	}
	/** @param x This field is a variable-length array of FeatureAttribute instances representing the attributes that apply for this particular feature. */
	public void setFeatureAttribute(FeatureAttribute[] x) {
		this.featureAttribute = x;
	}
}
