package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure contains the results of a CoW repository analysis. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(286)
public class CoWRepositoryAnalysisResults implements Serializable {
	public CoWRepositoryAnalysisResults() {
	}

	/** The result of the CoW repository analysis. */
	@io.swagger.annotations.ApiModelProperty(value ="The result of the CoW repository analysis." , required = true)
	@XmlElement(required = true)
	private String analysisResult;

	/** @return The result of the CoW repository analysis. */
	public String getAnalysisResult() {
		return this.analysisResult;
	}
	/** @param x The result of the CoW repository analysis. */
	public void setAnalysisResult(String x) {
		this.analysisResult = x;
	}
}
