package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This enumeration associates days of the month to bit masks. */
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(223)
public enum DayOfMonth implements Serializable {
		/** Obsolete. */
		dayOfMonthLast(-2147483648),
		/** Obsolete. */
		dayOfMonthNotSpecified(0),
		/** Obsolete. */
		dayOfMonth01(1),
		/** Obsolete. */
		dayOfMonth02(2),
		/** Obsolete. */
		dayOfMonth03(4),
		/** Obsolete. */
		dayOfMonth04(8),
		/** Obsolete. */
		dayOfMonth05(16),
		/** Obsolete. */
		dayOfMonth06(32),
		/** Obsolete. */
		dayOfMonth07(64),
		/** Obsolete. */
		dayOfMonth08(128),
		/** Obsolete. */
		dayOfMonth09(256),
		/** Obsolete. */
		dayOfMonth10(512),
		/** Obsolete. */
		dayOfMonth11(1024),
		/** Obsolete. */
		dayOfMonth12(2048),
		/** Obsolete. */
		dayOfMonth13(4096),
		/** Obsolete. */
		dayOfMonth14(8192),
		/** Obsolete. */
		dayOfMonth15(16384),
		/** Obsolete. */
		dayOfMonth16(32768),
		/** Obsolete. */
		dayOfMonth17(65536),
		/** Obsolete. */
		dayOfMonth18(131072),
		/** Obsolete. */
		dayOfMonth19(262144),
		/** Obsolete. */
		dayOfMonth20(524288),
		/** Obsolete. */
		dayOfMonth21(1048576),
		/** Obsolete. */
		dayOfMonth22(2097152),
		/** Obsolete. */
		dayOfMonth23(4194304),
		/** Obsolete. */
		dayOfMonth24(8388608),
		/** Obsolete. */
		dayOfMonth25(16777216),
		/** Obsolete. */
		dayOfMonth26(33554432),
		/** Obsolete. */
		dayOfMonth27(67108864),
		/** Obsolete. */
		dayOfMonth28(134217728),
		/** Obsolete. */
		dayOfMonth29(268435456),
		__UNDEFINED(464378545),
		/** Obsolete. */
		dayOfMonth30(536870912),
		/** Obsolete. */
		dayOfMonth31(1073741824);

		public final int value;

		private DayOfMonth(int v) {
			this.value = v;
		}
}
