package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure contains the drive download chunk descriptor. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(296)
public class DriveFirmwareChunkDescriptor implements Serializable {
	public DriveFirmwareChunkDescriptor() {
	}

	/** the id to set. */
	@io.swagger.annotations.ApiModelProperty(value ="the id to set." , required = true)
	@XmlElement(required = true)
	private int setId;

	/** @return the id to set. */
	public int getSetId() {
		return this.setId;
	}
	/** @param x the id to set. */
	public void setSetId(int x) {
		this.setId = x;
	}

	/** The offset. */
	@io.swagger.annotations.ApiModelProperty(value ="The offset." , required = true)
	@XmlElement(required = true)
	private int offset;

	/** @return The offset. */
	public int getOffset() {
		return this.offset;
	}
	/** @param x The offset. */
	public void setOffset(int x) {
		this.offset = x;
	}

	/** The image. */
	@io.swagger.annotations.ApiModelProperty(value ="The image." , required = true)
	@XmlElement(required = true)
	private String firmwareChunkImage;

	/** @return The image. */
	public String getFirmwareChunkImage() {
		return this.firmwareChunkImage;
	}
	/** @param x The image. */
	public void setFirmwareChunkImage(String x) {
		this.firmwareChunkImage = x;
	}
}
