package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure contains the drive firmware status. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(803)
public class DriveFirmwareStatus implements Serializable {
	public DriveFirmwareStatus() {
	}

	/** The overall status. */
	@io.swagger.annotations.ApiModelProperty(value ="The overall status." , required = true)
	@XmlElement(required = true)
	private ReturnCode overallStatus = ReturnCode.__UNDEFINED;

	/** @return The overall status. */
	public ReturnCode getOverallStatus() {
		return this.overallStatus;
	}
	/** @param x The overall status. */
	public void setOverallStatus(ReturnCode x) {
		this.overallStatus = x;
	}

	/** The drive status. */
	@io.swagger.annotations.ApiModelProperty(value ="The drive status." , required = true)
	@XmlElement(required = true)
	private DriveDownloadDriveStatus[] driveStatus;

	/** @return The drive status. */
	public DriveDownloadDriveStatus[] getDriveStatus() {
		return this.driveStatus;
	}
	/** @param x The drive status. */
	public void setDriveStatus(DriveDownloadDriveStatus[] x) {
		this.driveStatus = x;
	}
}
