package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This data structure is returned when chunks of drive health logs are returned via the raw data retrieve mechanism. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(292)
public class DriveHealthLogsChunkDetails implements Serializable {
	public DriveHealthLogsChunkDetails() {
	}

	/** This is a xml tagged ascii data used to describe a drive's health. */
	@io.swagger.annotations.ApiModelProperty(value ="This is a xml tagged ascii data used to describe a drive's health." , required = true)
	@XmlElement(required = true)
	private String driveHealthLogData;

	/** @return This is a xml tagged ascii data used to describe a drive's health. */
	public String getDriveHealthLogData() {
		return this.driveHealthLogData;
	}
	/** @param x This is a xml tagged ascii data used to describe a drive's health. */
	public void setDriveHealthLogData(String x) {
		this.driveHealthLogData = x;
	}
}
