package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** The following fields are defined for this structure: */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(525)
public class FibreChannelTargetLocation implements Serializable {
	public FibreChannelTargetLocation() {
	}

	/** The Fibre Channel node name of the target,a binary 8-byte SCSI name. */
	@io.swagger.annotations.ApiModelProperty(value ="The Fibre Channel node name of the target,a binary 8-byte SCSI name." , required = true)
	@XmlElement(required = true)
	private String targetName;

	/** @return The Fibre Channel node name of the target,a binary 8-byte SCSI name. */
	public String getTargetName() {
		return this.targetName;
	}
	/** @param x The Fibre Channel node name of the target,a binary 8-byte SCSI name. */
	public void setTargetName(String x) {
		this.targetName = x;
	}
}
