package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This enumeration type identifies the different filter options for the getIscsiSessions procedure. */
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(170)
public enum GetIscsiSessionsType implements Serializable {
		/** Report all iSCSI sessions known to the storage array. */
		all(0),
		/** Report all iSCSI sessions for a given target. */
		byTarget(1),
		/** Report all iSCSI sessions for a given initiator. */
		byInitiator(2),
		__UNDEFINED(464378545);

		public final int value;

		private GetIscsiSessionsType(int v) {
			this.value = v;
		}
}
