package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** A list of KeyValueTagMappingDeletionDescriptors used as an input to the deleteKeyValueTagMapping procedure. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(869)
public class KeyValueTagMappingDeletionDescriptorList implements Serializable {
	public KeyValueTagMappingDeletionDescriptorList() {
	}

	/** The array of mappings between a volume and a list of key value tags. */
	@io.swagger.annotations.ApiModelProperty(value ="The array of mappings between a volume and a list of key value tags." , required = true)
	@XmlElement(required = true)
	private KeyValueTagMappingDeletionDescriptor[] descriptorList;

	/** @return The array of mappings between a volume and a list of key value tags. */
	public KeyValueTagMappingDeletionDescriptor[] getDescriptorList() {
		return this.descriptorList;
	}
	/** @param x The array of mappings between a volume and a list of key value tags. */
	public void setDescriptorList(KeyValueTagMappingDeletionDescriptor[] x) {
		this.descriptorList = x;
	}
}
