package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** Mirror Proxy Write Mode The write mode of the Mirror Proxy Volume on the current array. */
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(59)
public enum MirrorProxyWriteMode implements Serializable {
		/** Standard synchronous RVM write mode. */
		synchronousMode(0),
		/** Asynchronous, write order not preserved. */
		asynchronousMode(1),
		/** Asynchronous, write order preserved. */
		consistentAsyncMode(2),
		__UNDEFINED(464378545);

		public final int value;

		private MirrorProxyWriteMode(int v) {
			this.value = v;
		}
}
