package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure is used to specify new values for the change-able parameters on a Consistency Group View. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(737)
public class PITConsistencyGroupViewParamsUpdateDescriptor implements Serializable {
	public PITConsistencyGroupViewParamsUpdateDescriptor() {
	}

	/** Consistency Group View to change. */
	@io.swagger.annotations.ApiModelProperty(value ="Consistency Group View to change." , required = true)
	@XmlElement(required = true)
	private String cgViewRef;

	/** @return Consistency Group View to change. */
	public String getCgViewRef() {
		return this.cgViewRef;
	}
	/** @param x Consistency Group View to change. */
	public void setCgViewRef(String x) {
		this.cgViewRef = x;
	}

	/** New user label for the Consistency Group View. */
	@io.swagger.annotations.ApiModelProperty(value ="New user label for the Consistency Group View." , required = true)
	@XmlElement(required = true)
	private String newLabel;

	/** @return New user label for the Consistency Group View. */
	public String getNewLabel() {
		return this.newLabel;
	}
	/** @param x New user label for the Consistency Group View. */
	public void setNewLabel(String x) {
		this.newLabel = x;
	}
}
