package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure defines the response that is provided by the controller to a startRawDataRestore( ) or continueRawDataRestore( ) request. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(403)
public class RawDataRestoreResult implements Serializable {
	public RawDataRestoreResult() {
	}

	/** Return code from the startRawDataRestore or continueRawDataRestore procedure. */
	@io.swagger.annotations.ApiModelProperty(value ="Return code from the startRawDataRestore or continueRawDataRestore procedure." , required = true)
	@XmlElement(required = true)
	private ReturnCode retCode = ReturnCode.__UNDEFINED;

	/** @return Return code from the startRawDataRestore or continueRawDataRestore procedure. */
	public ReturnCode getRetCode() {
		return this.retCode;
	}
	/** @param x Return code from the startRawDataRestore or continueRawDataRestore procedure. */
	public void setRetCode(ReturnCode x) {
		this.retCode = x;
	}

	/** The data transfer type. */
	@io.swagger.annotations.ApiModelProperty(value ="The data transfer type." , required = true)
	@XmlElement(required = true)
	private RawDataTransferType type = RawDataTransferType.__UNDEFINED;

	/** @return The data transfer type. */
	public RawDataTransferType getType() {
		return this.type;
	}
	/** @param x The data transfer type. */
	public void setType(RawDataTransferType x) {
		this.type = x;
	}
}
