package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure describes a group of controller-resident I/O ports used to access the storage array via the I/O path. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(726)
public class SAPortGroup implements Serializable {
	public SAPortGroup() {
	}

	/** This object uniquely identifies a specific SAPortGroup. */
	@io.swagger.annotations.ApiModelProperty(value ="This object uniquely identifies a specific SAPortGroup." , required = true)
	@XmlElement(required = true)
	private String saPortGroupRef;

	/** @return This object uniquely identifies a specific SAPortGroup. */
	public String getSaPortGroupRef() {
		return this.saPortGroupRef;
	}
	/** @param x This object uniquely identifies a specific SAPortGroup. */
	public void setSaPortGroupRef(String x) {
		this.saPortGroupRef = x;
	}

	/** The user assigned label for the SAPortGroup. */
	@io.swagger.annotations.ApiModelProperty(value ="The user assigned label for the SAPortGroup." , required = true)
	@XmlElement(required = true)
	private String label;

	/** @return The user assigned label for the SAPortGroup. */
	public String getLabel() {
		return this.label;
	}
	/** @param x The user assigned label for the SAPortGroup. */
	public void setLabel(String x) {
		this.label = x;
	}
}
