package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This enumeration specifies different types of schedule actions. */
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(41)
public enum ScheduleAction implements Serializable {
		/** This should never happen. */
		unknown(0),
		/** Snapshot scheduling */
		resnap(1),
		/** Take point in time image in a PiT Group. */
		newpit(2),
		/** Take point in time image on a PiT Consistency Group. */
		newcgpit(3),
		__UNDEFINED(464378545);

		public final int value;

		private ScheduleAction(int v) {
			this.value = v;
		}
}
