package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This enumeration is used to specify schedule statuses. */
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(245)
public enum ScheduleStatus implements Serializable {
		/** This should never happen. */
		unknown(0),
		/** The schedule is active. */
		active(1),
		/** The schedule is disabled. */
		disabled(2),
		/** The schedule has completed. */
		completed(3),
		__UNDEFINED(464378545);

		public final int value;

		private ScheduleStatus(int v) {
			this.value = v;
		}
}
