package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure is a variable-length list of TrayPosition objects. This list is used to maintain information about position of trays relative to each other. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(526)
public class TrayPositionList implements Serializable {
	public TrayPositionList() {
	}

	/** A variable-length array of TrayPosition objects. */
	@io.swagger.annotations.ApiModelProperty(value ="A variable-length array of TrayPosition objects." , required = true)
	@XmlElement(required = true)
	private TrayPosition[] trayPosition;

	/** @return A variable-length array of TrayPosition objects. */
	public TrayPosition[] getTrayPosition() {
		return this.trayPosition;
	}
	/** @param x A variable-length array of TrayPosition objects. */
	public void setTrayPosition(TrayPosition[] x) {
		this.trayPosition = x;
	}
}
