package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** Contains the return data for the createLockKey procedure. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(357)
public class WrappedLockKeyReturn implements Serializable {
	public WrappedLockKeyReturn() {
	}

	/** An enumeration used to determine the return status of a SYMbol function call. */
	@io.swagger.annotations.ApiModelProperty(value ="An enumeration used to determine the return status of a SYMbol function call." , required = true)
	@XmlElement(required = true)
	private ReturnCode returnCode = ReturnCode.__UNDEFINED;

	/** @return An enumeration used to determine the return status of a SYMbol function call. */
	public ReturnCode getReturnCode() {
		return this.returnCode;
	}
	/** @param x An enumeration used to determine the return status of a SYMbol function call. */
	public void setReturnCode(ReturnCode x) {
		this.returnCode = x;
	}

	/** This WrappedLockKey contains the lockKeyID and the associated encrypted wrappedLockKey string. */
	@io.swagger.annotations.ApiModelProperty(value ="This WrappedLockKey contains the lockKeyID and the associated encrypted wrappedLockKey string." , required = false)
	@XmlElement(required = false)
	private WrappedLockKey lockKey;

	/** @return This WrappedLockKey contains the lockKeyID and the associated encrypted wrappedLockKey string. */
	public WrappedLockKey getLockKey() {
		return this.lockKey;
	}
	/** @param x This WrappedLockKey contains the lockKeyID and the associated encrypted wrappedLockKey string. */
	public void setLockKey(WrappedLockKey x) {
		this.lockKey = x;
	}
}
